A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
shift
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Move and Reorder array content

## Functions
AFAPI array | shift (const array &in, const int x, const int y=0, const int z=0, const int w=0)
| C++ Interface to shift an array.
AFAPI af_err | af_shift (af_array *out, const af_array in, const int x, const int y, const int z, const int w)
| C Interface to shift an array.

## Detailed Description

Shift an array.

Circular shift array values along a specified dimesion.

## Function Documentation

## ◆ af_shift()

AFAPI af_err af_shift | ( | af_array * | out,
|  | const af_array | in,
|  | const int | x,
|  | const int | y,
|  | const int | z,
|  | const int | w )

C Interface to shift an array.

Parameters

  [out] | out | shifted array
  [in] | in | input array
  [in] | x | specifies the shift along first dimension
  [in] | y | specifies the shift along second dimension
  [in] | z | specifies the shift along third dimension
  [in] | w | specifies the shift along fourth dimension

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ shift()

AFAPI array shift | ( | const array & | in,
|  | const int | x,
|  | const int | y = 0,
|  | const int | z = 0,
|  | const int | w = 0 )

C++ Interface to shift an array.

Parameters

  [in] | in | input array
  [in] | x | specifies the shift along the first dimension
  [in] | y | specifies the shift along the second dimension
  [in] | z | specifies the shift along the third dimension
  [in] | w | specifies the shift along the fourth dimension

Returns
  shifted array